# 
# Copyright (C) 2009 DrayTek Corp.
#
# This is not free software, 
#

include $(TOPDIR)/rules.mk

PKG_NAME:=vdslcli
PKG_VERSION:=1.1
PKG_RELEASE:=1

include $(INCLUDE_DIR)/package.mk

define Package/vdslcli
  SECTION:=vdsl
  CATEGORY:=DrayTek Applications
  TITLE:=VDSL CLI TOOL
  PKG_BUILD_DEPENDS:=+expat
endef

define Package/vdslcli/description
	This package contains a cli tool for communicating with vdsl driver
endef
 
#
# copy the source code to build folder
#

define Build/Compile
	@echo "Compile..................."
	$(INSTALL_DIR) $(PKG_BUILD_DIR)/binary
	tar xzfO $(PKG_NAME)_$(PKG_VERSION)-$(PKG_RELEASE)_arm.ipk ./data.tar.gz | tar -C $(PKG_BUILD_DIR)/binary -xzf -
endef

define Package/vdslcli/install
	@echo "Install.................."
	$(CP) $(PKG_BUILD_DIR)/binary/* $(1)
endef
 
$(eval $(call BuildPackage,vdslcli))

 
